## plymouth-theme-hot-dog 0.5

=== Makefile ===
NAME=plymouth-theme-hot-dog
VERSION=$(shell rpm --eval "`cat $(NAME).spec`" | sed -n 's/ *Version: *//p')
RELEASE=$(shell rpm --eval "`cat $(NAME).spec`" | sed -n 's/ *Release: *//p')

.PHONY: all srpm rpm nvr clean
all: srpm rpm
srpm: $(NAME)-$(VERSION)-$(RELEASE).src.rpm
rpm: $(NAME)-$(VERSION)-$(RELEASE).noarch.rpm

$(NAME)-$(VERSION).tar.bz2:
	git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD | bzip2 -9 > $@
$(NAME)-$(VERSION)-$(RELEASE).src.rpm: $(NAME).spec $(NAME)-$(VERSION).tar.bz2
	rpmbuild --define '_sourcedir .' --define '_srcrpmdir .' -bs $(NAME).spec
$(NAME)-$(VERSION)-$(RELEASE).noarch.rpm: $(NAME).spec $(NAME)-$(VERSION).tar.bz2
	mkdir -p BUILD
	rpmbuild --define "_rpmdir $(PWD)" --define '_builddir %_rpmdir/BUILD' --define '_sourcedir %_rpmdir' -bb $(NAME).spec
	mv noarch/$@ .
	rmdir noarch

nvr:
	@echo $(NAME)-$(VERSION)-$(RELEASE)
clean:
	rm -f $(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)-$(RELEASE).{src,noarch}.rpm
	rm -rf BUILD

=== debian/changelog ===
plymouth-theme-hot-dog (0.5-3) unstable; urgency=medium

  * Retry source-only upload

 -- Michel Lind <michel@michel-slm.name>  Wed, 14 May 2025 10:53:06 -0500

plymouth-theme-hot-dog (0.5-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Michel Lind <michel@michel-slm.name>  Tue, 13 May 2025 17:09:55 -0500

plymouth-theme-hot-dog (0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1101787)

 -- Michel Lind <michel@michel-slm.name>  Tue, 01 Apr 2025 09:07:53 -0500

=== debian/control ===
Source: plymouth-theme-hot-dog
Section: misc
Priority: optional
Maintainer: Michel Lind <michel@michel-slm.name>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://wwoods.fedorapeople.org/hot-dog/
Vcs-Browser: https://salsa.debian.org/michel/plymouth-theme-hot-dog
Vcs-Git: https://salsa.debian.org/michel/plymouth-theme-hot-dog.git

Package: plymouth-theme-hot-dog
Architecture: all
Depends:
 plymouth,
 plymouth-themes,
 ${misc:Depends},
Provides:
 plymouth-theme,
Description: Plymouth Happy Hot Dog Theme
 This package contains the Happy Hot Dog boot splash theme for Plymouth.
 The mustard indicates progress.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# nothing to do

override_dh_auto_clean:
	rm -rf debian/plymouth-theme-hot-dog

override_dh_auto_install:
	install -d -m 0755 debian/plymouth-theme-hot-dog/usr/share/plymouth/themes/hot-dog
	install -m 0644 *.plymouth *.png debian/plymouth-theme-hot-dog/usr/share/plymouth/themes/hot-dog/

=== debian/watch ===
version=4
https://codeberg.org/michelin/plymouth-theme-hot-dog/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
